/*  OpenEngine: A free open source rendering system for DirectX.
	Copyright (C) 2002 Simon Brown

	This library is free software; you can redistribute it and/or
	modify it under the terms of the GNU Lesser General Public
	License as published by the Free Software Foundation; either
	version 2.1 of the License, or (at your option) any later version.

	This library is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public
	License along with this library; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#pragma once

namespace oe {

//! A class to describe a material.
class Material
{
public:
	Texture normals;			//!< The normal map of this material.

	Texture diffuse;			//!< The diffuse response texture.
	real_t diffuseIntensity;	//!< The intensity of the diffuse response.

	CubeTexture specular;		//!< The specular response cube texture.
	real_t specularIntensity;	//!< The intensity of the specular response.

	//! Creats an empty material.
	Material() throw();
};

} // namespace oe
