/*  OpenEngine: A free open source rendering system for DirectX.
	Copyright (C) 2002 Simon Brown

	This library is free software; you can redistribute it and/or
	modify it under the terms of the GNU Lesser General Public
	License as published by the Free Software Foundation; either
	version 2.1 of the License, or (at your option) any later version.

	This library is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public
	License along with this library; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#include "stdafx.h"

namespace oe {

inline real_t RealSqrt(const real_t& r) throw()
{
	return sqrtf(r);
}

inline real_t RealSin(const real_t& r) throw()
{
	return sinf(r);
}

inline real_t RealInvSin(const real_t& r) throw()
{
	return asinf(r);
}

inline real_t RealCos(const real_t& r) throw()
{
	return cosf(r);
}

inline real_t RealPow(const real_t& x, const real_t& y) throw()
{
	return powf(x, y);
}


} // namespace oe
