/*  OpenEngine: A free open source rendering system for DirectX.
	Copyright (C) 2002 Simon Brown

	This library is free software; you can redistribute it and/or
	modify it under the terms of the GNU Lesser General Public
	License as published by the Free Software Foundation; either
	version 2.1 of the License, or (at your option) any later version.

	This library is distributed in the hope that it will be useful,
	but WITHOUT ANY WARRANTY; without even the implied warranty of
	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
	Lesser General Public License for more details.

	You should have received a copy of the GNU Lesser General Public
	License along with this library; if not, write to the Free Software
	Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
*/

#pragma once

namespace oe {

typedef unsigned char uchar;	//!< Space-saving typedef of unsigned char.
typedef unsigned short ushort;	//!< Space-saving typedef of unsigned short.
typedef unsigned long ulong;	//!< Space-saving typedef of unsigned long.


//! Real number type used throughout the maths library.
/*! Real number type used throughout the maths library. Applications
    can use the macro \c _R(x) to cast \c x to \c real_t as a shortcut, for example:
    \code real_t x = _R(2);\endcode
*/
typedef float real_t;

} // namespace oe
